GetAccountCustomizations - AWS User Experience Customization Service

GetAccountCustomizations

Returns the current account customization settings, including account color, visible services, and visible Regions. Settings that you have not configured return their default values: visible Regions and visible services return `null`, and account color returns `none`.

Note

The visibleServices and visibleRegions settings control only the appearance of services and Regions in the AWS Management Console. They do not restrict access through the AWS CLI, SDKs, or other APIs.

Request Syntax

GET /v1/account-customizations HTTP/1.1

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "accountColor": "string", "visibleRegions": [ "string" ], "visibleServices": [ "string" ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

accountColor

The account color preference. A value of none indicates that you have not set a color.

Type: String

Valid Values: none | pink | purple | darkBlue | lightBlue | teal | green | yellow | orange | red

visibleRegions

The list of AWS Region codes that are visible to the account in the AWS Management Console. A value of null indicates that you have not configured this feature and all Regions are visible. For a list of valid Region codes, see AWS Regions.

Type: Array of strings

Array Members: Minimum number of 0 items. Maximum number of 100 items.

Pattern: [a-z]{2}(-[a-z]{1,10}){1,2}-[1-9]

visibleServices

The list of AWS service identifiers that are visible to the account in the AWS Management Console. A value of null indicates that you have not configured this feature and all services are visible. For valid service identifiers, call ListServices.

Type: Array of strings

Array Members: Minimum number of 0 items. Maximum number of 500 items.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]+(-[a-z0-9]+)*

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You don't have sufficient access to perform this operation. Verify that your IAM policy includes the required uxc: permissions for the operation that you are calling. For more information on IAM permissions, see AWS managed policies for AWS Management Console.

HTTP Status Code: 403

InternalServerException

The service encountered an internal error. Try your request again later.

HTTP Status Code: 500

ThrottlingException

The request was denied because of request throttling. Reduce the frequency of your requests.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

fieldList

The list of fields that are invalid.

HTTP Status Code: 400

Examples

Retrieve account customizations when all settings are configured

The following example retrieves the current account customization settings. In this example, all three settings have been previously configured.

Sample Request

GET /v1/account-customizations HTTP/1.1 Host: uxc.us-east-1.amazonaws.com Content-type: application/json

Sample Response

HTTP/1.1 200 OK Content-type: application/json { "accountColor": "teal", "visibleServices": ["s3", "ec2", "lambda"], "visibleRegions": ["us-east-1", "us-west-2"] }

Retrieve account customizations when some settings are not configured

The following example retrieves the current account customization settings. In this example, account color and visible Regions have not been configured, so they return null.

Sample Request

GET /v1/account-customizations HTTP/1.1 Host: uxc.us-east-1.amazonaws.com Content-type: application/json

Sample Response

HTTP/1.1 200 OK Content-type: application/json { "accountColor": "none", "visibleServices": ["s3", "ec2", "lambda"], "visibleRegions": null }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: